From 5ec55420f7d17312a4e23bf6b29ce08750225e53 Mon Sep 17 00:00:00 2001
From: Wan Zhou <wanz@nvidia.com>
Date: Fri, 1 Dec 2017 14:13:17 +0800
Subject: [PATCH] Update PlaybackState to MediaSession after seeking.

For now there is no event to notify that the operation of seek is complete,
thereby it needs to publish PlaybackState to MediaSession once position is changed.
---
 vlc-android/src/org/videolan/vlc/PlaybackService.java | 1 +
 1 file changed, 1 insertion(+)

diff --git a/vlc-android/src/org/videolan/vlc/PlaybackService.java b/vlc-android/src/org/videolan/vlc/PlaybackService.java
index 5cdc5e1..5889de7 100644
--- a/vlc-android/src/org/videolan/vlc/PlaybackService.java
+++ b/vlc-android/src/org/videolan/vlc/PlaybackService.java
@@ -703,6 +703,7 @@ public class PlaybackService extends MediaBrowserServiceCompat implements IVLCVo
                     break;
                 case MediaPlayer.Event.PositionChanged:
                     updateWidgetPosition(event.getPositionChanged());
+                    publishState();
                     break;
                 case MediaPlayer.Event.Vout:
                     break;
-- 
2.1.4

